
% this is just for testing KDICA()

rand('seed',100);
m=10;  % number of mixtures (hidden sources)
n=1000; % sample size

A=unifrnd(0,1,m,m)+eye(m); % mixing matrix

for i=1:10,

  fprintf('\n\nThe %d-th experiement with two initials: Jade,random\n',i);
  s=exprnd(1,m,n);
  t1=cputime;
  w1=KDICA(A*s); % initial is JADE()
  t2=cputime;
  w2=KDICA(A*s,'W0',unifrnd(0,1,m,m)); % random initial
  t3=cputime;

  fprintf('  Running time: %.3f, %.3f seconds\n  Amari error: %.3f, %.3f\n',t2-t1,t3-t2, amari(inv(A),w1),amari(inv(A),w2));

end

  % the running time is about 0.3 - 0.8 seconds (depending on the system) and the Amari error is about 0.02 - 0.06. The JADE() initial works better than a random initial.
