function [swa, swd] = SWTransform(X, Lev)
nx = length(X);
nX = 2^ceil(log2(nx));
if nX ~= nx, % extend to 2^L length if needed
    if nx/2 ~= ceil(nx/2),
        dN = nX - nx - 1;
    else
        dN = nX - nx;
    end
    X = wextend('1D', 'per', X, dN, 'r');
end
% wavelet transform
[swa, swd] = swt(X, Lev, 'db1');
end
