function d=amari(V,W)

% AMARI - amari distance: measure invariance to permutation and scaling of the columns of V and W;

m=size(V,1);
% normalize each row of V and W before calculate amari-distance;
for i=1:m, V(i,:)=V(i,:)/norm(V(i,:)); W(i,:)=W(i,:)/norm(W(i,:)); end

Per=W*inv(V);
Perf=[sum(abs(Per))./max(abs(Per))-1,sum(abs(Per'))./max(abs(Per'))-1];

d=mean(Perf)/(m-1);

return;
