function f=ordkde2(s)
% Input: s -- a sorted vector from some pdf
% Output: -entropy(s) with KDE(s)

%s=sort(s);
n=length(s);
h=1/(std(s)*0.8*n^(-0.2)); % inverse scale for KDE

% calculate (clow,cup,slow,sup) and kde(s)
exps=exp(s*h);
%slow=cumsum(exps);
sup=[0,cumsum(1./exps(n:-1:2))];
sup=sup(n:-1:1);
p=cumsum(exps)./exps+sup.*exps; % kde(s), omit scale 1/(2nh)
f=mean(log(p))-log(2*n/h);
return;
